FreeAgent API
=============

This module integrates Drupal with the online accounting software, FreeAgent.


Installation
------------

1. Install the module on your site as normal.
2. Download the PHP-OAuth2 external library from
     https://github.com/snpower/PHP-OAuth2
   You should unpackage this at sites/<sitename>/libraries/PHP-OAuth2
3. Enable API access in your FreeAgent account at https://yourcompany.freeagent.com/settings/api
4. Create a developer account at https://dev.freeagent.com/apps
5. Create a new app and set the 'Url' to be your website's url. You can leave
   the 'Oauth redirect url' blank.
6. Go to admin/config/services/freeagent and enter in the client id
   and secret that were generated when you registered your app and click the
   'Authorise' button.

Reports
-------

If you want more than just the downloading of FreeAgent data and want to run
reports on timeslips entered, then enable the freeagent reports sub-module.  This
has dependencies on Views, Views Data Export (for csv exports) and Charts (for
bar charts, etc) modules.

It also has a dependency on this patch to the Views module:
https://drupal.org/node/1182256

