<?php

/**
 * Access plugin that provides property based access control.
 */
class freeagent_reports_access_plugin extends views_plugin_access {
  function summary_title() {
    return t('Restrict access to current user and those with "administer users" permission');
  }

  /**
   * Determine if the current user has access or not.
   */
  function access($account) {
    return freeagent_reports_my_timeslips_access($account);
  }

  function get_access_callback() {
    return array('freeagent_reports_my_timeslips_access', array(1));
  }
}
