<?php

/**
 * @file
 * Provide freeagent_contacts id argument handler.
 */

/**
 * Argument handler to accept a freeagent contacts id.
 */
class freeagent_handler_argument_contact_id extends views_handler_argument_numeric {
  /**
   * Override the behavior of title(). Get the name of the contact.
   */
  function title_query() {
    $names = array();

    $result = db_query("SELECT c.organisation_name FROM {freeagent_contacts} c WHERE c.id IN (:ids)", array(':ids' => $this->value));
    foreach ($result as $term) {
      $names[] = check_plain($term->organisation_name);
    }
    return $names;
  }
}
