<?php

/**
 * @file
 * Provide freeagent_tasks id argument handler.
 */

/**
 * Argument handler to accept a freeagent tasks id.
 */
class freeagent_handler_argument_task_id extends views_handler_argument_numeric {
  /**
   * Override the behavior of title(). Get the name of the task.
   */
  function title_query() {
    $names = array();

    $result = db_query("SELECT t.name FROM {freeagent_tasks} t WHERE t.id IN (:ids)", array(':ids' => $this->value));
    foreach ($result as $term) {
      $names[] = check_plain($term->name);
    }
    return $names;
  }
}
