<?php

/**
 * @file
 * Definition of freeagent_handler_filter_category_id.
 */

/**
 * Filter by category id.
 *
 * @ingroup views_filter_handlers
 */
class freeagent_handler_filter_category_id extends views_handler_filter_in_operator {
  function get_value_options() {
    if (!isset($this->value_options)) {
      $this->value_title = t('Categories');
      $categories = freeagent_get_categories_info();
      $options = array();
      foreach ($categories as $id => $info) {
        $options[$id] = $info->description;
      }
      natcasesort($options);
      $this->value_options = $options;
    }
  }
}
