<?php

/**
 * @file
 * Definition of freeagent_handler_filter_project_id.
 */

/**
 * Filter by project id.
 *
 * @ingroup views_filter_handlers
 */
class freeagent_handler_filter_project_id extends views_handler_filter_in_operator {
  function get_value_options() {
    if (!isset($this->value_options)) {
      $this->value_title = t('Projects');
      $projects = freeagent_get_projects_info();
      $options = array();
      foreach ($projects as $id => $info) {
        $options[$id] = $info->contact_name . ': ' . $info->name;
      }
      natcasesort($options);
      $this->value_options = $options;
    }
  }
}
