<?php

/**
 * @file
 * Definition of freeagent_handler_filter_task_id.
 */

/**
 * Filter by task id.
 *
 * @ingroup views_filter_handlers
 */
class freeagent_handler_filter_task_id extends views_handler_filter_in_operator {
  function get_value_options() {
    if (!isset($this->value_options)) {
      $this->value_title = t('Tasks');
      $tasks = freeagent_get_tasks_info();
      $options = array();
      foreach ($tasks as $id => $info) {
        $options[$id] = $info->contact_name . ': ' . $info->project_name . ': ' . $info->name;
      }
      natcasesort($options);
      $this->value_options = $options;
    }
  }
}
