<?php

/**
 * @file
 * Provide freeagent_categories id argument handler.
 */

/**
 * Argument handler to accept a freeagent categories id.
 */
class freeagent_handler_argument_category_id extends views_handler_argument_numeric {
  /**
   * Override the behavior of title(). Get the name of the category.
   */
  function title_query() {
    $names = array();

    $result = db_query("SELECT c.description FROM {freeagent_categories} c WHERE c.id IN (:ids)", array(':ids' => $this->value));
    foreach ($result as $term) {
      $names[] = check_plain($term->description);
    }
    return $names;
  }
}
