<?php

/**
 * @file
 * Provide freeagent_users id argument handler.
 */

/**
 * Argument handler to accept a freeagent users id.
 */
class freeagent_handler_argument_user_id extends views_handler_argument_numeric {
  /**
   * Override the behavior of title(). Get the name of the user.
   */
  function title_query() {
    $names = array();

    $result = db_query("SELECT u.full_name FROM {freeagent_users} u WHERE u.id IN (:ids)", array(':ids' => $this->value));
    foreach ($result as $term) {
      $names[] = check_plain($term->full_name);
    }
    return $names;
  }
}
