<?php

/**
 * @file
 * Definition of freeagent_handler_filter_contact_id.
 */

/**
 * Filter by contact id.
 *
 * @ingroup views_filter_handlers
 */
class freeagent_handler_filter_contact_id extends views_handler_filter_in_operator {
  function get_value_options() {
    if (!isset($this->value_options)) {
      $this->value_title = t('Contacts');
      $contacts = freeagent_get_contacts_info();
      $options = array();
      foreach ($contacts as $id => $info) {
        $options[$id] = $info->contact_name;
      }
      natcasesort($options);
      $this->value_options = $options;
    }
  }
}
