<?php

/**
 * @file
 * Definition of freeagent_handler_filter_user_id.
 */

/**
 * Filter by user id.
 *
 * @ingroup views_filter_handlers
 */
class freeagent_handler_filter_user_id extends views_handler_filter_in_operator {
  function get_value_options() {
    if (!isset($this->value_options)) {
      $this->value_title = t('Users');
      $users = freeagent_get_users_info();
      $options = array();
      foreach ($users as $id => $info) {
        $options[$id] = $info->full_name;
      }
      natcasesort($options);
      $this->value_options = $options;
    }
  }
}
